=== debian/control ===
Source: ros-rolling-fuse-tutorials
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-fuse-constraints, ros-rolling-fuse-core, ros-rolling-fuse-models, ros-rolling-fuse-variables, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-fuse-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-fuse-constraints, ros-rolling-fuse-core, ros-rolling-fuse-models, ros-rolling-fuse-optimizers, ros-rolling-fuse-publishers, ros-rolling-fuse-variables, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-rviz2, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: Package containing source code for the fuse tutorials.
